libcups-2.2.6-alt1.i586.rpm


Advertisement

Description

libcups - Common Unix Printing System - CUPS library

Property Value
Distribution ALT Linux Sisyphus
Repository Classic i586
Package name libcups
Package version 2.2.6
Package release alt1
Package architecture i586
Package type rpm
Installed size 810.86 KB
Download size 810.86 KB
Official Mirror ftp.altlinux.org
The Common Unix Printing System provides a portable printing layer for
UNIX(TM) operating systems. This package contains the CUPS API library
which contains common functions used by both the CUPS daemon and all
CUPS frontends (lpr-cups, xpp, qtcups, kups, ...).

Alternatives

Package Version Architecture Repository
libcups-2.2.6-alt1.x86_64.rpm 2.2.6 x86_64 Classic
libcups - - -

Requires

Name Value
libavahi-client.so.3 -
libavahi-common.so.3 -
libc.so.6 -
libc.so.6(ALT_2.24) -
libc.so.6(GLIBC_2.0) -
libc.so.6(GLIBC_2.1) -
libc.so.6(GLIBC_2.1.3) -
libc.so.6(GLIBC_2.16) -
libc.so.6(GLIBC_2.2) -
libc.so.6(GLIBC_2.2.5) -
libc.so.6(GLIBC_2.3) -
libc.so.6(GLIBC_2.3.4) -
libc.so.6(GLIBC_2.4) -
libgcc_s.so.1(GCC_3.0) -
libgssapi_krb5.so.2 -
libgssapi_krb5.so.2(gssapi_krb5_2_MIT) -
libm.so.6(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.0) -
libpthread.so.0(GLIBC_2.1) -
libpthread.so.0(GLIBC_2.2) -
libpthread.so.0(GLIBC_2.3.2) -
libstdc++.so.6(CXXABI_1.3) -
libstdc++.so.6(CXXABI_1.3.8) -
libstdc++.so.6(CXXABI_1.3.9) -
libstdc++.so.6(GLIBCXX_3.4) -
libz.so.1 -
libz.so.1(ZLIB_1.2.0) -
rpmlib(PayloadIsLzma) -
rpmlib(SetVersions) -
rtld(GNU_HASH) -

Provides

Name Value
libcups = 2.2.6-alt1
libcups.so.2 -
libcupscgi.so.1 -
libcupsimage.so.2 -
libcupsmime.so.1 -
libcupsppdc.so.1 -

Download

Type URL
Binary Package libcups-2.2.6-alt1.i586.rpm
Source Package cups-2.2.6-alt1.src.rpm

Install Howto

  1. Add the following line to /etc/apt/sources.list:
    
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus i586 classic
    rpm [Sisyphus] http://ftp.altlinux.org/pub/distributions/ALTLinux/Sisyphus noarch classic
    
  2. Update the package index:
    # sudo apt-get update
  3. Install libcups rpm package:
    # sudo apt-get install libcups

Files

Path
/usr/lib/libcups.so.2
/usr/lib/libcupscgi.so.1
/usr/lib/libcupsimage.so.2
/usr/lib/libcupsmime.so.1
/usr/lib/libcupsppdc.so.1

Changelog

See cups-2.2.6-alt1.i586.rpm changelog.

See Also

Package Description
libcups-devel-2.2.6-alt1.i586.rpm Common Unix Printing System - Development environment "libcups"
libcurl-7.63.0-alt1.i586.rpm The shared library for file transfer
libcurl-devel-7.63.0-alt1.i586.rpm Header files for libcurl
libcurl-devel-static-7.63.0-alt1.i586.rpm Static libraries for libcurl
libcutl-1.10.0-alt1_13.i586.rpm C++ utility library from Code Synthesis
libcutl-devel-1.10.0-alt1_13.i586.rpm Development files for libcutl
libcwiid-0.6.00-alt2.20100505gitfadf11e.i586.rpm Wiimote interface library
libcwiid-devel-0.6.00-alt2.20100505gitfadf11e.i586.rpm Development files for libcwiid
libcwiid-utils-0.6.00-alt2.20100505gitfadf11e.i586.rpm Wiimote connection test application
libcwiid-wminput-0.6.00-alt2.20100505gitfadf11e.i586.rpm Enables using the wiimote as an input source
libcxx-7.0.0-alt1.i586.rpm C++ standard library targeting C++11
libcxx-devel-7.0.0-alt1.i586.rpm Headers and libraries for libcxx devel
libcxx-gtk-utils-2.2.16.1-alt1.i586.rpm A library containing a number of classes and functions for programming GTK+ programs using C++
libcxx-gtk-utils-devel-2.2.16.1-alt1.i586.rpm Development files for cxx-gtk-utils
libcxx-static-7.0.0-alt1.i586.rpm Static libraries for libcxx
Advertisement
Advertisement